wok rev 11990

get-softmodem-driver: broken and superseded by linmodem-* packages, move to wok-undigest
author Dominique Corbex <domcox@slitaz.org>
date Sat Mar 03 20:27:38 2012 +0100 (2012-03-03)
parents 7f0fea8ad9f4
children 80161a03ce21
files get-softmodem-driver/description.txt get-softmodem-driver/receipt get-softmodem-driver/stuff/get-softmodem-driver get-softmodem-driver/stuff/hcfpcimodem-1.19full.diff get-softmodem-driver/stuff/hcfpcimodem.receipt get-softmodem-driver/stuff/hsfmodem-7.80.02.04full.diff get-softmodem-driver/stuff/hsfmodem.receipt get-softmodem-driver/stuff/martian.country get-softmodem-driver/stuff/martian.init get-softmodem-driver/stuff/martian.receipt get-softmodem-driver/stuff/slmodem.country get-softmodem-driver/stuff/slmodem.init get-softmodem-driver/stuff/slmodem.receipt get-softmodem-driver/stuff/zone.tab
line diff
     1.1 --- a/get-softmodem-driver/description.txt	Sat Mar 03 11:14:56 2012 -0800
     1.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     1.3 @@ -1,3 +0,0 @@
     1.4 -Support for software modems: Conexant
     1.5 -
     1.6 -Warning: This package HAS huge dependencies including a full install of dev tools and a complete kernel compilation. This will use a significant amount of disk space and take a while depending on your processing power.
     2.1 --- a/get-softmodem-driver/receipt	Sat Mar 03 11:14:56 2012 -0800
     2.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     2.3 @@ -1,26 +0,0 @@
     2.4 -# SliTaz package receipt.
     2.5 -
     2.6 -PACKAGE="get-softmodem-driver"
     2.7 -VERSION="0.11"
     2.8 -CATEGORY="non-free"
     2.9 -SHORT_DESC="Get misc softmodem drivers."
    2.10 -MAINTAINER="domcox@slitaz.org"
    2.11 -DEPENDS="alsa-lib-dev cpio linux-source slitaz-toolchain"
    2.12 -WEB_SITE="http://hg.slitaz.org/wok/file/$PACKAGE/stuff/$PACKAGE"
    2.13 -TAGS="modem dialup"
    2.14 -
    2.15 -# Rules to gen a SliTaz package suitable for Tazpkg.
    2.16 -genpkg_rules()
    2.17 -{
    2.18 -	mkdir -p $fs/usr/bin
    2.19 -	cp $stuff/$PACKAGE $fs/usr/bin
    2.20 -	for i in hsfmodem hcfpcimodem martian slmodem; do
    2.21 -		ln -s $PACKAGE $fs/usr/bin/get-$i-driver
    2.22 -	done
    2.23 -	mkdir -p $fs/usr/share/softmodem
    2.24 -	cp -a $stuff/*diff $fs/usr/share/softmodem
    2.25 -	cp -a $stuff/*receipt $fs/usr/share/softmodem
    2.26 -	cp -a $stuff/*init $fs/usr/share/softmodem
    2.27 -	cp -a $stuff/*country $fs/usr/share/softmodem
    2.28 -	cp -a $stuff/zone.tab $fs/usr/share/softmodem
    2.29 -}
     3.1 --- a/get-softmodem-driver/stuff/get-softmodem-driver	Sat Mar 03 11:14:56 2012 -0800
     3.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     3.3 @@ -1,194 +0,0 @@
     3.4 -#!/bin/sh
     3.5 -# install softmodems drivers if needed.
     3.6 -
     3.7 -PACKAGE=$(echo $0 | sed 's/.*get-\(.*\)-driver/\1/')
     3.8 -ROOT="$1"
     3.9 -DEPENDS=""
    3.10 -
    3.11 -untested()
    3.12 -{
    3.13 -echo "--------------------------------------------------------"
    3.14 -echo "Due to a lack of compatible hardware for troubleshooting,"
    3.15 -echo "this $PACKAGE package has not been tested. Please report"
    3.16 -echo "any success, failure, bug to SliTaz Labs or SliTaz Forum."
    3.17 -echo "--------------------------------------------------------"
    3.18 -sleep 1
    3.19 -}
    3.20 -
    3.21 -case "$PACKAGE" in
    3.22 -hsfmodem)
    3.23 -	. /usr/share/softmodem/hsfmodem.receipt ;;
    3.24 -hcfpcimodem)
    3.25 -	. /usr/share/softmodem/hcfpcimodem.receipt ;;
    3.26 -martian)
    3.27 -	. /usr/share/softmodem/martian.receipt ;;
    3.28 -slmodem)
    3.29 -	. /usr/share/softmodem/slmodem.receipt ;;
    3.30 -*)
    3.31 -	echo "Unknown modem driver. Please run one of the following commands:"
    3.32 -	for i in $(cd $(dirname $0); ls get-*-driver); do
    3.33 -		[ -L $i ] || continue
    3.34 -		[ "$(readlink $i)" = "get-modem-driver" ] || continue
    3.35 -		echo "  $i"
    3.36 -	done
    3.37 -	exit 1;;
    3.38 -esac
    3.39 -
    3.40 -# Report
    3.41 -echo "Installing $SHORT_DESC.."
    3.42 -
    3.43 -# Check if user is root to install.
    3.44 -if test $(id -u) != 0 ; then
    3.45 -	echo -e "\nYou must be root to run `basename $0`."
    3.46 -	echo -e "Please use 'su' and root password to become super-user.\n"
    3.47 -	exit 0
    3.48 -fi
    3.49 -
    3.50 -# Avoid reinstall
    3.51 -if [ -d $ROOT/var/lib/tazpkg/installed/$PACKAGE ]; then
    3.52 -	echo -e "\n$PACKAGE-$VERSION package is already installed.\n"
    3.53 -	exit 0
    3.54 -fi
    3.55 -
    3.56 -# Check linux-source
    3.57 -cp /proc/config.gz . && gunzip config.gz
    3.58 -DIFF=$(diff /usr/src/linux/.config config | awk 'BEGIN{i=0}/^[-+]/{ i++} END{print i}')
    3.59 -rm -f config config.gz
    3.60 -if [ $DIFF -gt 2 ]; then
    3.61 -	echo "Warning: Linux source .config file and currently installed kernel don't match."
    3.62 -	echo "Please rebuild Linux source with the proper .config file."
    3.63 -	echo "Otherwise you may not be able to load the generated drivers."
    3.64 -	sleep 2
    3.65 -fi
    3.66 -
    3.67 -# Get files
    3.68 -cd /usr/src
    3.69 -echo "Checking for source tarball... $WGET_URL"
    3.70 -if [ ! -f "$TARBALL" ]; then 
    3.71 -	wget $WGET_URL
    3.72 -	# Exit if download failed to avoid errors.
    3.73 -	if [ ! -f "$TARBALL" ]; then
    3.74 -		echo -e "\nDownload failed, exiting. Please check WGET_URL variable.\n"
    3.75 -		exit 1
    3.76 -	fi
    3.77 -fi
    3.78 -
    3.79 -case "$WGET_URL" in
    3.80 -*rpm)	rpm2cpio < $(basename $WGET_URL) | cpio -id;;
    3.81 -*deb)	dpkg-deb -x $(basename $WGET_URL) . ;;
    3.82 -*bz2)	tar xjf $(basename $WGET_URL) ;;
    3.83 -*tar.gz|*tgz)	tar xzf $(basename $WGET_URL) || exit 1 ;;
    3.84 -*zip)	unzip $(basename $WGET_URL);;
    3.85 -*o)	;;
    3.86 -esac
    3.87 -
    3.88 -# Set dirs
    3.89 -src=/usr/src/$PACKAGE-$VERSION
    3.90 -taz=/tmp/sm$RANDOM$RANDOM$RANDOM.$$
    3.91 -fs=$taz/$PACKAGE-$VERSION/fs
    3.92 -mkdir -p $fs
    3.93 -
    3.94 -# Create pseudo package
    3.95 -case "$PACKAGE" in 
    3.96 -hsfmodem)
    3.97 -	# Rules to configure and make the package.
    3.98 -	cd $src
    3.99 -	echo "Apply $file..."
   3.100 -	patch -p1 < /usr/share/softmodem/$PACKAGE-$VERSION.diff || exit 1
   3.101 -	# Build
   3.102 -	make all
   3.103 -	make ROOT=$fs install
   3.104 -	make clean
   3.105 -	# Data for automatic region setting
   3.106 -	mkdir -p $fs/usr/share/hsfmodem
   3.107 -	cp -a /usr/share/softmodem/zone.tab $fs/usr/share/hsfmodem
   3.108 -	# src is needed
   3.109 -	cd $taz
   3.110 -	mkdir -p $fs/usr/src
   3.111 -	mv $src $fs/usr/src
   3.112 -	;;
   3.113 -hcfpcimodem)
   3.114 -	untested
   3.115 -	# Rules to configure and make the package.
   3.116 -	cd $src
   3.117 -	echo "Apply $file..."
   3.118 -	patch -p1 < /usr/share/softmodem/$PACKAGE-$VERSION.diff || exit 1
   3.119 -	# Build
   3.120 -	make all
   3.121 -	make ROOT=$fs install
   3.122 -	make clean
   3.123 -	# Data for automatic region setting
   3.124 -	mkdir -p $fs/usr/share/hcfpcimodem
   3.125 -	cp -a /usr/share/softmodem/zone.tab $fs/usr/share/hcfpcimodem
   3.126 -	# src is needed
   3.127 -	cd $taz
   3.128 -	mkdir -p $fs/usr/src
   3.129 -	mv $src $fs/usr/src
   3.130 -	;;
   3.131 -martian)
   3.132 -	untested
   3.133 -	# Build
   3.134 -	src=/usr/src/$PACKAGE
   3.135 -	cd $src
   3.136 -	sed -i 's/uname -i/uname -m/' modem/Makefile
   3.137 -	sed -i 's/asm\/page.h/\/usr\/src\/linux\/include\/asm\/page.h/' modem/mport.c
   3.138 -	sed -i 's/asm\/page.h/\/usr\/src\/linux\/include\/asm\/page.h/' modem/tweakrelocsdynamic.c
   3.139 -	make all
   3.140 -	# Install
   3.141 -	mkdir -p $fs/usr/sbin
   3.142 -	cp -a modem/martian_modem $fs/usr/sbin
   3.143 -	mkdir -p $fs/lib/modules/`uname -r`/martian
   3.144 -	cp -a kmodule/martian_dev.ko $fs/lib/modules/`uname -r`/martian
   3.145 -	mkdir -p $fs/etc/init.d
   3.146 -	cp -a /usr/share/softmodem/martian.init $fs/etc/init.d/martian
   3.147 -	chmod +x $fs/etc/init.d/martian
   3.148 -	# Data for automatic region setting
   3.149 -	mkdir -p $fs/usr/share/martian
   3.150 -	cp -a /usr/share/softmodem/zone.tab $fs/usr/share/martian
   3.151 -	cp -a /usr/share/softmodem/martian.country $fs/usr/share/martian
   3.152 -	rm -rf $src
   3.153 -	;;
   3.154 -slmodem)
   3.155 -	untested
   3.156 -	# build modules
   3.157 -	cd $src
   3.158 -	make clean
   3.159 -	make drivers
   3.160 -	# Build slmodemd with ALSA support
   3.161 -	cd modem
   3.162 -	make clean
   3.163 -	make SUPPORT_ALSA=1
   3.164 -	# install
   3.165 -	cd $src
   3.166 -	mkdir -p $fs/lib/modules/`uname -r`/slamr
   3.167 -	cp -a drivers/*ko $fs/lib/modules/`uname -r`/slamr
   3.168 -	mkdir -p $fs/usr/sbin
   3.169 -	cp -a modem/slmodemd $fs/usr/sbin
   3.170 -	mkdir -p $fs/etc/init.d
   3.171 -	cp -a /usr/share/softmodem/slmodem.init $fs/etc/init.d/slmodem
   3.172 -	chmod +x $fs/etc/init.d/slmodem
   3.173 -	# Data for automatic region setting
   3.174 -	mkdir -p $fs/usr/share/slmodem
   3.175 -	cp -a /usr/share/softmodem/zone.tab $fs/usr/share/slmodem
   3.176 -	cp -a /usr/share/softmodem/slmodem.country $fs/usr/share/slmodem
   3.177 -	rm -rf $src
   3.178 -	;;
   3.179 -esac
   3.180 -
   3.181 -# Create receipt
   3.182 -cd $taz
   3.183 -cat /usr/share/softmodem/$PACKAGE.receipt> $PACKAGE-$VERSION/receipt
   3.184 -
   3.185 -# Pack
   3.186 -tazpkg pack $PACKAGE-$VERSION
   3.187 -
   3.188 -# Install pseudo package
   3.189 -tazpkg install $PACKAGE-$VERSION.tazpkg --root=$ROOT
   3.190 -
   3.191 -# Clean
   3.192 -if [ -e /etc/tazwok.conf ]; then
   3.193 -	. /etc/tazwok.conf
   3.194 -	mkdir -p $PACKAGES_REPOSITORY
   3.195 -	cp -a $PACKAGE-$VERSION.tazpkg $PACKAGES_REPOSITORY
   3.196 -fi
   3.197 -rm -rf $taz
     4.1 --- a/get-softmodem-driver/stuff/hcfpcimodem-1.19full.diff	Sat Mar 03 11:14:56 2012 -0800
     4.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     4.3 @@ -1,169 +0,0 @@
     4.4 -diff -ru hcfpcimodem-1.19full/config.mak hcfpcimodem-1.19full-slitaz/config.mak
     4.5 ---- hcfpcimodem-1.19full/config.mak	2009-04-29 22:04:22.000000000 +0200
     4.6 -+++ hcfpcimodem-1.19full-slitaz/config.mak	2009-06-15 22:17:05.000000000 +0200
     4.7 -@@ -131,4 +131,4 @@
     4.8 - 		-e "s!@SCR_SUPPORT@!`test ! \"$(IMPORTED_SCR_SUPPORT)\" = yes; echo $$?`!g" \
     4.9 - 		-e "s!@DMP_SUPPORT@!`test -z \"$(IMPORTED_DMP_SUPPORT)\"; echo $$?`!g" \
    4.10 - 		< $< > $@
    4.11 --	chmod --reference=$< $@
    4.12 -+	chmod 755 $@
    4.13 -diff -ru hcfpcimodem-1.19full/makefile hcfpcimodem-1.19full-slitaz/makefile
    4.14 ---- hcfpcimodem-1.19full/makefile	2009-04-29 22:04:22.000000000 +0200
    4.15 -+++ hcfpcimodem-1.19full-slitaz/makefile	2009-06-15 22:17:47.000000000 +0200
    4.16 -@@ -149,7 +149,7 @@
    4.17 - ifeq ($(RPMOPTEVAL),yes)
    4.18 - RPMTARGETCPU=$(shell rpm --eval '%_target_cpu')
    4.19 - else
    4.20 --RPMTARGETCPU=$(shell uname -i)
    4.21 -+RPMTARGETCPU=$(shell uname -m)
    4.22 - endif
    4.23 - 
    4.24 - ifneq ($(RPMOPTDEFINE),yes)
    4.25 -diff -ru hcfpcimodem-1.19full/modules/Makefile hcfpcimodem-1.19full-slitaz/modules/Makefile
    4.26 ---- hcfpcimodem-1.19full/modules/Makefile	2009-04-29 22:04:22.000000000 +0200
    4.27 -+++ hcfpcimodem-1.19full-slitaz/modules/Makefile	2009-06-15 22:19:01.000000000 +0200
    4.28 -@@ -20,7 +20,7 @@
    4.29 - include $(TOP)/config.mak
    4.30 - 
    4.31 - IMPORTED = $(TOP)/modules/imported
    4.32 --MACHINE_ARCH := $(shell if uname --hardware-platform >/dev/null 2>&1 && ! uname --hardware-platform | grep -q "unknown"; then uname --hardware-platform; else uname --machine | sed 's/^i.86$$/i386/'; fi)
    4.33 -+MACHINE_ARCH := $(shell if uname -p >/dev/null 2>&1 && ! uname -p | grep -q "unknown"; then uname -p; else uname -m | sed 's/^i.86$$/i386/'; fi)
    4.34 - ifneq ($(subst powerpc,ppc,$(IMPORTED_ARCH)),$(MACHINE_ARCH))
    4.35 - $(warning *** WARNING: Trying to compile kernel modules on a $(MACHINE_ARCH) system while the installed $(CNXTTARGET) driver package is for $(IMPORTED_ARCH), this is likely to fail... ***)
    4.36 - endif
    4.37 -diff -ru hcfpcimodem-1.19full/scripts/cnxtconfig.in hcfpcimodem-1.19full-slitaz/scripts/cnxtconfig.in
    4.38 ---- hcfpcimodem-1.19full/scripts/cnxtconfig.in	2009-04-29 22:04:22.000000000 +0200
    4.39 -+++ hcfpcimodem-1.19full-slitaz/scripts/cnxtconfig.in	2009-06-16 09:32:18.000000000 +0200
    4.40 -@@ -74,7 +74,7 @@
    4.41 - 				answer="${region}"
    4.42 - 				;;
    4.43 - 			*)
    4.44 --				answer="`echo \"${answer}\" | tr '[a-z ]' '[A-Z_]'`"
    4.45 -+				answer="`echo \"${answer}\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/g'`"
    4.46 - 				;;
    4.47 - 			esac
    4.48 - 		fi
    4.49 -@@ -109,15 +109,13 @@
    4.50 - {
    4.51 - 	# Try to guess what region we're in, using the timezone settings
    4.52 - 
    4.53 --	localtime_size="`/bin/ls -lL /etc/localtime 2>/dev/null | ${AWK} '{print $5}'`"
    4.54 --
    4.55 --	if ! [ ${localtime_size} -gt 0 ]; then
    4.56 -+	if [ ! -e /etc/TZ ]; then
    4.57 - 		return 1
    4.58 - 	fi
    4.59 - 
    4.60 --	zoneinfo_dir=/usr/share/zoneinfo
    4.61 -+	zoneinfo_dir=/usr/share/hcfpcimodem
    4.62 - 
    4.63 --	if [ ! -d ${zoneinfo_dir} -o ! -f ${zoneinfo_dir}/zone.tab ]; then
    4.64 -+	if [ -f ${zoneinfo_dir}/zone.tab ]; then
    4.65 - 		return 1
    4.66 - 	fi
    4.67 - 
    4.68 -@@ -206,17 +204,9 @@
    4.69 - 	iso_VN=00BC # VIETNAM
    4.70 - 
    4.71 - 	(
    4.72 --		cd ${zoneinfo_dir} 2>/dev/null || return 1
    4.73 --		find . -type f -size "${localtime_size}"c -print | sed 's@^\./@@' | \
    4.74 --			while read file; do
    4.75 --				cmp -s /etc/localtime $file || continue
    4.76 --# in the egrep and sed regular expressions below, it is very important to
    4.77 --# have tabs, not spaces
    4.78 --				egrep "	$file(	.*|\$)" ${zoneinfo_dir}/zone.tab
    4.79 --			done | sed -n '/^[^#]/s/	.*//p' | sort | uniq | \
    4.80 --				while read code; do
    4.81 --					eval "echo \${iso_${code}}"
    4.82 --				done | sort | uniq
    4.83 -+		zone=`cat /etc/TZ`
    4.84 -+		code=`grep $zone ${zoneinfo_dir}/zone.tab | awk '{print $1}' | sort | uniq`
    4.85 -+		eval "echo \${iso_${code}}"
    4.86 - 		return 0
    4.87 - 	)
    4.88 - }
    4.89 -@@ -271,7 +261,7 @@
    4.90 - # The md5sum is used for input verification.
    4.91 - disptokey()
    4.92 - {
    4.93 --	k="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/FREE/00000000/' | tr -d -c '[0-9A-F\012]'`"
    4.94 -+	k="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/FREE/00000000/' | tr -d -c '[0-9][A-F][\012]'`"
    4.95 - 	case $k in
    4.96 - 	00000000)
    4.97 - 		echo "$k"
    4.98 -@@ -1655,7 +1645,7 @@
    4.99 - 		update-modules
   4.100 - 	else
   4.101 - 		if ("$@" "${modulesconf}" | "${filter}"; cat ${f}) > ${modulesconf}.$$; then
   4.102 --			if ! cmp --silent ${modulesconf}.$$ ${modulesconf}; then
   4.103 -+			if ! cmp -s ${modulesconf}.$$ ${modulesconf}; then
   4.104 - 				if ! cp ${modulesconf}.$$ ${modulesconf}; then
   4.105 - 					rm -f ${modulesconf}.$$ ${f}
   4.106 - 					exit 1
   4.107 -@@ -1681,7 +1671,7 @@
   4.108 - 	fi
   4.109 - 
   4.110 - 	if ("$@" "${modprobeconf}" | "${filter}"; cat ${f}) > ${modprobeconf}.$$; then
   4.111 --		if ! cmp --silent ${modprobeconf}.$$ ${modprobeconf}; then
   4.112 -+		if ! cmp -s ${modprobeconf}.$$ ${modprobeconf}; then
   4.113 - 			if ! cp ${modprobeconf}.$$ ${modprobeconf}; then
   4.114 - 				rm -f ${modprobeconf}.$$ ${f}
   4.115 - 				exit 1
   4.116 -@@ -2214,6 +2204,10 @@
   4.117 - 	elif [ -d /var/lib/LST ]; then
   4.118 - 		OSDISTNAME=Caldera
   4.119 - 		OSDISTIDNT=caldera
   4.120 -+	elif [ -f /etc/slitaz-release ]; then
   4.121 -+		OSDISTNAME=SliTaz
   4.122 -+		OSDISTIDNT=slitaz
   4.123 -+		OSDISTVERS="`cat /etc/slitaz-release`"
   4.124 - 	fi
   4.125 - 
   4.126 - 	OSKERNNAME="`uname -s | tr '[A-Z]' '[a-z]'`"
   4.127 -@@ -2268,7 +2262,7 @@
   4.128 - 
   4.129 - dump_file()
   4.130 - {
   4.131 --	dump_cmd cat -v $@
   4.132 -+	dump_cmd cat $@
   4.133 - }
   4.134 - 
   4.135 - dump_diagnostics()
   4.136 -@@ -2587,7 +2581,7 @@
   4.137 - 	fi
   4.138 - 	units="${specificunit}"
   4.139 - 	if [ -z "${units}" ]; then
   4.140 --		units=`ls --ignore=flush_nvm ${procdrvdir}`
   4.141 -+		units=`ls ${procdrvdir} | grep -v flush_nvm`
   4.142 - 
   4.143 - 		if [ -z "${units}" ]; then
   4.144 - 			echo ""
   4.145 -@@ -2884,7 +2878,7 @@
   4.146 - 			explicitopt=true
   4.147 - 			do_cfgregion=true
   4.148 - 			if [ -n "$2" ]; then
   4.149 --				setregion="`echo \"$2\" | tr '[a-z ]' '[A-Z_]'`"
   4.150 -+				setregion="`echo \"$2\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/g'`"
   4.151 - 			fi
   4.152 - 			shift 2
   4.153 - 			;;
   4.154 -@@ -2954,7 +2948,7 @@
   4.155 - 
   4.156 - # Accept --region <name> as equivalent to --region=<name>
   4.157 - if ${do_cfgregion} && [ $# -ge 1 -a -z "${setregion}" ]; then
   4.158 --	setregion="`echo \"$1\" | tr '[a-z ]' '[A-Z_]'`"
   4.159 -+	setregion="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/s'`"
   4.160 - 	shift
   4.161 - fi
   4.162 - 
   4.163 -@@ -3033,7 +3027,7 @@
   4.164 - 
   4.165 - if ${do_cfgnewinstance}; then
   4.166 - 	if [ ! -d "${cnxtnvmdir}/dynamic/${newinstance}" ]; then
   4.167 --		mkdir --mode=700 --parents "${cnxtnvmdir}/dynamic/${newinstance}" || exit $?
   4.168 -+		mkdir -m 700 -p "${cnxtnvmdir}/dynamic/${newinstance}" || exit $?
   4.169 - 		# The purpose of --info here is to ensure module reload:
   4.170 - 		(sleep 2; exec @CNXTTARGET@config --auto --region=AUTO --info) </dev/null >/dev/null 2>&1 &
   4.171 - 	fi
   4.172 -
     5.1 --- a/get-softmodem-driver/stuff/hcfpcimodem.receipt	Sat Mar 03 11:14:56 2012 -0800
     5.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     5.3 @@ -1,27 +0,0 @@
     5.4 -# SliTaz package receipt.
     5.5 -
     5.6 -PACKAGE="hcfpcimodem"
     5.7 -VERSION="1.19full"
     5.8 -CATEGORY="non-free"
     5.9 -SHORT_DESC="Driver for the Conexant HCF (controllerless) Softmodem family."
    5.10 -MAINTAINER="domcox@slitaz.org"
    5.11 -TARBALL="$PACKAGE-$VERSION.tar.gz"
    5.12 -DEPENDS="module-init-tools linux-source"
    5.13 -WEB_SITE="http://www.linuxant.com/drivers"
    5.14 -WGET_URL="http://www.linuxant.com/drivers/hcf/full/archive/$PACKAGE-$VERSION/$TARBALL"
    5.15 -
    5.16 -# Rules to gen a SliTaz package suitable for Tazpkg.
    5.17 -
    5.18 -post_install()
    5.19 -{
    5.20 -	/usr/sbin/hcfpciconfig --auto
    5.21 -}
    5.22 -
    5.23 -post_remove()
    5.24 -{
    5.25 -    echo -n "Removing modules.."
    5.26 -    rm -rf /lib/modules/`uname -r`/extra/hcfpci*
    5.27 -    status
    5.28 -	rm -rf /usr/share/hcfpicmodem
    5.29 -	rm -rf /etc/hcfpcimodem
    5.30 -}
    5.31 \ No newline at end of file
     6.1 --- a/get-softmodem-driver/stuff/hsfmodem-7.80.02.04full.diff	Sat Mar 03 11:14:56 2012 -0800
     6.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     6.3 @@ -1,170 +0,0 @@
     6.4 -diff -ru hsfmodem-7.80.02.04full/config.mak hsfmodem-7.80.02.04full-slitaz/config.mak
     6.5 ---- hsfmodem-7.80.02.04full/config.mak	2009-02-20 22:30:12.000000000 +0100
     6.6 -+++ hsfmodem-7.80.02.04full-slitaz/config.mak	2009-06-15 11:49:13.000000000 +0200
     6.7 -@@ -131,4 +131,4 @@
     6.8 - 		-e "s!@SCR_SUPPORT@!`test ! \"$(IMPORTED_SCR_SUPPORT)\" = yes; echo $$?`!g" \
     6.9 - 		-e "s!@DMP_SUPPORT@!`test -z \"$(IMPORTED_DMP_SUPPORT)\"; echo $$?`!g" \
    6.10 - 		< $< > $@
    6.11 --	chmod --reference=$< $@
    6.12 -+	chmod 755 $@
    6.13 -diff -ru hsfmodem-7.80.02.04full/makefile hsfmodem-7.80.02.04full-slitaz/makefile
    6.14 ---- hsfmodem-7.80.02.04full/makefile	2009-02-23 22:51:37.000000000 +0100
    6.15 -+++ hsfmodem-7.80.02.04full-slitaz/makefile	2009-06-15 11:49:13.000000000 +0200
    6.16 -@@ -149,7 +149,7 @@
    6.17 - ifeq ($(RPMOPTEVAL),yes)
    6.18 - RPMTARGETCPU=$(shell rpm --eval '%_target_cpu')
    6.19 - else
    6.20 --RPMTARGETCPU=$(shell uname -i)
    6.21 -+RPMTARGETCPU=$(shell uname -m)
    6.22 - endif
    6.23 - 
    6.24 - ifneq ($(RPMOPTDEFINE),yes)
    6.25 -diff -ru hsfmodem-7.80.02.04full/modules/Makefile hsfmodem-7.80.02.04full-slitaz/modules/Makefile
    6.26 ---- hsfmodem-7.80.02.04full/modules/Makefile	2009-04-24 03:03:57.000000000 +0200
    6.27 -+++ hsfmodem-7.80.02.04full-slitaz/modules/Makefile	2009-06-15 11:49:13.000000000 +0200
    6.28 -@@ -20,7 +20,7 @@
    6.29 - include $(TOP)/config.mak
    6.30 - 
    6.31 - IMPORTED = $(TOP)/modules/imported
    6.32 --MACHINE_ARCH := $(shell if uname --hardware-platform >/dev/null 2>&1 && ! uname --hardware-platform | grep -q "unknown"; then uname --hardware-platform; else uname --machine | sed 's/^i.86$$/i386/'; fi)
    6.33 -+MACHINE_ARCH := $(shell if uname -p >/dev/null 2>&1 && ! uname -p | grep -q "unknown"; then uname -p; else uname -m | sed 's/^i.86$$/i386/'; fi)
    6.34 - ifneq ($(subst powerpc,ppc,$(IMPORTED_ARCH)),$(MACHINE_ARCH))
    6.35 - $(warning *** WARNING: Trying to compile kernel modules on a $(MACHINE_ARCH) system while the installed $(CNXTTARGET) driver package is for $(IMPORTED_ARCH), this is likely to fail... ***)
    6.36 - endif
    6.37 -diff -ru hsfmodem-7.80.02.04full/scripts/cnxtconfig.in hsfmodem-7.80.02.04full-slitaz/scripts/cnxtconfig.in
    6.38 ---- hsfmodem-7.80.02.04full/scripts/cnxtconfig.in	2009-04-23 17:32:18.000000000 +0200
    6.39 -+++ hsfmodem-7.80.02.04full-slitaz/scripts/cnxtconfig.in	2009-06-15 21:29:49.000000000 +0200
    6.40 -@@ -74,7 +74,7 @@
    6.41 - 				answer="${region}"
    6.42 - 				;;
    6.43 - 			*)
    6.44 --				answer="`echo \"${answer}\" | tr '[a-z ]' '[A-Z_]'`"
    6.45 -+				answer="`echo \"${answer}\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/g'`"
    6.46 - 				;;
    6.47 - 			esac
    6.48 - 		fi
    6.49 -@@ -109,15 +109,13 @@
    6.50 - {
    6.51 - 	# Try to guess what region we're in, using the timezone settings
    6.52 - 
    6.53 --	localtime_size="`/bin/ls -lL /etc/localtime 2>/dev/null | ${AWK} '{print $5}'`"
    6.54 --
    6.55 --	if ! [ ${localtime_size} -gt 0 ]; then
    6.56 -+	if [ ! -e /etc/TZ ]; then
    6.57 - 		return 1
    6.58 - 	fi
    6.59 - 
    6.60 --	zoneinfo_dir=/usr/share/zoneinfo
    6.61 -+	zoneinfo_dir=/usr/share/hsfmodem
    6.62 - 
    6.63 --	if [ ! -d ${zoneinfo_dir} -o ! -f ${zoneinfo_dir}/zone.tab ]; then
    6.64 -+	if [ ! -f ${zoneinfo_dir}/zone.tab ]; then
    6.65 - 		return 1
    6.66 - 	fi
    6.67 - 
    6.68 -@@ -206,18 +204,11 @@
    6.69 - 	iso_VN=00BC # VIETNAM
    6.70 - 
    6.71 - 	(
    6.72 --		cd ${zoneinfo_dir} 2>/dev/null || return 1
    6.73 --		find . -type f -size "${localtime_size}"c -print | sed 's@^\./@@' | \
    6.74 --			while read file; do
    6.75 --				cmp -s /etc/localtime $file || continue
    6.76 --# in the egrep and sed regular expressions below, it is very important to
    6.77 --# have tabs, not spaces
    6.78 --				egrep "	$file(	.*|\$)" ${zoneinfo_dir}/zone.tab
    6.79 --			done | sed -n '/^[^#]/s/	.*//p' | sort | uniq | \
    6.80 --				while read code; do
    6.81 --					eval "echo \${iso_${code}}"
    6.82 --				done | sort | uniq
    6.83 -+		zone=`cat /etc/TZ`
    6.84 -+		code=`grep $zone ${zoneinfo_dir}/zone.tab | awk '{print $1}' | sort | uniq`
    6.85 -+		eval "echo \${iso_${code}}"
    6.86 - 		return 0
    6.87 -+		
    6.88 - 	)
    6.89 - }
    6.90 - 
    6.91 -@@ -271,7 +262,7 @@
    6.92 - # The md5sum is used for input verification.
    6.93 - disptokey()
    6.94 - {
    6.95 --	k="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/FREE/00000000/' | tr -d -c '[0-9A-F\012]'`"
    6.96 -+	k="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/FREE/00000000/' | tr -d -c '[0-9][A-F][\012]'`"
    6.97 - 	case $k in
    6.98 - 	00000000)
    6.99 - 		echo "$k"
   6.100 -@@ -1655,7 +1646,7 @@
   6.101 - 		update-modules
   6.102 - 	else
   6.103 - 		if ("$@" "${modulesconf}" | "${filter}"; cat ${f}) > ${modulesconf}.$$; then
   6.104 --			if ! cmp --silent ${modulesconf}.$$ ${modulesconf}; then
   6.105 -+			if ! cmp -s ${modulesconf}.$$ ${modulesconf}; then
   6.106 - 				if ! cp ${modulesconf}.$$ ${modulesconf}; then
   6.107 - 					rm -f ${modulesconf}.$$ ${f}
   6.108 - 					exit 1
   6.109 -@@ -1681,7 +1672,7 @@
   6.110 - 	fi
   6.111 - 
   6.112 - 	if ("$@" "${modprobeconf}" | "${filter}"; cat ${f}) > ${modprobeconf}.$$; then
   6.113 --		if ! cmp --silent ${modprobeconf}.$$ ${modprobeconf}; then
   6.114 -+		if ! cmp -s ${modprobeconf}.$$ ${modprobeconf}; then
   6.115 - 			if ! cp ${modprobeconf}.$$ ${modprobeconf}; then
   6.116 - 				rm -f ${modprobeconf}.$$ ${f}
   6.117 - 				exit 1
   6.118 -@@ -2214,6 +2205,10 @@
   6.119 - 	elif [ -d /var/lib/LST ]; then
   6.120 - 		OSDISTNAME=Caldera
   6.121 - 		OSDISTIDNT=caldera
   6.122 -+	elif [ -f /etc/slitaz-release ]; then
   6.123 -+		OSDISTNAME=SliTaz
   6.124 -+		OSDISTIDNT=slitaz
   6.125 -+		OSDISTVERS="`cat /etc/slitaz-release`"
   6.126 - 	fi
   6.127 - 
   6.128 - 	OSKERNNAME="`uname -s | tr '[A-Z]' '[a-z]'`"
   6.129 -@@ -2268,7 +2263,7 @@
   6.130 - 
   6.131 - dump_file()
   6.132 - {
   6.133 --	dump_cmd cat -v $@
   6.134 -+	dump_cmd cat $@
   6.135 - }
   6.136 - 
   6.137 - dump_diagnostics()
   6.138 -@@ -2587,7 +2582,7 @@
   6.139 - 	fi
   6.140 - 	units="${specificunit}"
   6.141 - 	if [ -z "${units}" ]; then
   6.142 --		units=`ls --ignore=flush_nvm ${procdrvdir}`
   6.143 -+		units=`ls ${procdrvdir} | grep -v flush_nvm`
   6.144 - 
   6.145 - 		if [ -z "${units}" ]; then
   6.146 - 			echo ""
   6.147 -@@ -2884,7 +2879,7 @@
   6.148 - 			explicitopt=true
   6.149 - 			do_cfgregion=true
   6.150 - 			if [ -n "$2" ]; then
   6.151 --				setregion="`echo \"$2\" | tr '[a-z ]' '[A-Z_]'`"
   6.152 -+				setregion="`echo \"$2\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/g'`"
   6.153 - 			fi
   6.154 - 			shift 2
   6.155 - 			;;
   6.156 -@@ -2954,6 +2949,6 @@
   6.157 - 
   6.158 - # Accept --region <name> as equivalent to --region=<name>
   6.159 - if ${do_cfgregion} && [ $# -ge 1 -a -z "${setregion}" ]; then
   6.160 --	setregion="`echo \"$1\" | tr '[a-z ]' '[A-Z_]'`"
   6.161 -+	setregion="`echo \"$1\" | tr '[a-z]' '[A-Z]' | sed 's/\s/_/s'`"
   6.162 - 	shift
   6.163 - fi
   6.164 -
   6.165 -@@ -3033,0 +3027,0 @@
   6.166 -
   6.167 - if ${do_cfgnewinstance}; then
   6.168 -  if [ ! -d "${cnxtnvmdir}/dynamic/${newinstance}" ]; then
   6.169 --		mkdir --mode=700 --parents "${cnxtnvmdir}/dynamic/${newinstance}" || exit $?
   6.170 -+		mkdir -m 700 -p "${cnxtnvmdir}/dynamic/${newinstance}" || exit $?
   6.171 - 		# The purpose of --info here is to ensure module reload:
   6.172 - 		(sleep 2; exec @CNXTTARGET@config --auto --region=AUTO --info) </dev/null >/dev/null 2>&1 &
   6.173 - 	fi
     7.1 --- a/get-softmodem-driver/stuff/hsfmodem.receipt	Sat Mar 03 11:14:56 2012 -0800
     7.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     7.3 @@ -1,27 +0,0 @@
     7.4 -# SliTaz package receipt.
     7.5 -
     7.6 -PACKAGE="hsfmodem"
     7.7 -VERSION="7.80.02.04full"
     7.8 -CATEGORY="non-free"
     7.9 -SHORT_DESC="Driver for the Conexant (formerly Rockwell) HSF Softmodem family."
    7.10 -MAINTAINER="domcox@slitaz.org"
    7.11 -TARBALL="$PACKAGE-$VERSION.tar.gz"
    7.12 -DEPENDS="module-init-tools linux-source"
    7.13 -WEB_SITE="http://www.linuxant.com/drivers"
    7.14 -WGET_URL="http://www.linuxant.com/drivers/hsf/full/archive/$PACKAGE-$VERSION/$TARBALL"
    7.15 -
    7.16 -# Rules to gen a SliTaz package suitable for Tazpkg.
    7.17 -
    7.18 -post_install()
    7.19 -{
    7.20 -	/usr/sbin/hsfconfig --auto
    7.21 -}
    7.22 -
    7.23 -post_remove()
    7.24 -{
    7.25 -	echo -n "Removing modules.."
    7.26 -	rm -rf /lib/modules/`uname -r`/extra/hsf*
    7.27 -	status
    7.28 -	rm -rf /usr/share/hsfmodem
    7.29 -	rm -rf /etc/hsfmodem
    7.30 -}
    7.31 \ No newline at end of file
     8.1 --- a/get-softmodem-driver/stuff/martian.country	Sat Mar 03 11:14:56 2012 -0800
     8.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     8.3 @@ -1,88 +0,0 @@
     8.4 -AE	ae	UNITED_ARAB_EMIRATES
     8.5 -AR	ar	ARGENTINA
     8.6 -AT	at	AUSTRIA
     8.7 -AU	au	AUSTRALIA
     8.8 -BB	bb	BARBADOS
     8.9 -BD	bd	BANGLADESH
    8.10 -BG	bg	BULGARIA
    8.11 -BO	bo	BOLIVIA
    8.12 -BR	br	BRAZIL
    8.13 -BY	by	BELARUS
    8.14 -CA	ca	CANADA
    8.15 -CH	ch	SWITZERLAND
    8.16 -CL	cl	CHILE
    8.17 -CN	cn	CHINA
    8.18 -CO	co	COLOMBIA
    8.19 -CR	cr	COSTA_RICA
    8.20 -CY	cy	CYPRUS
    8.21 -CZ	cz	CZECH_REPUBLIC
    8.22 -DE	de	GERMANY
    8.23 -DK	dk	DENMARK
    8.24 -EC	ec	ECUADOR
    8.25 -EE	ee	ESTONIA
    8.26 -EG	eg	EGYPT
    8.27 -ES	es	SPAIN
    8.28 -EU	eu	EUROPE
    8.29 -FI	fi	FINLAND
    8.30 -FR	fr	FRANCE
    8.31 -GP	fr	GUADELOUPE
    8.32 -GR	gr	GREECE
    8.33 -GT	gt	GUATEMALA
    8.34 -GU	gu	GUAM
    8.35 -HK	hk	HONG_KONG
    8.36 -HR	hr	CROATIA
    8.37 -HU	hu	HUNGARY
    8.38 -ID	id	INDONESIA
    8.39 -IE	ie	IRELAND
    8.40 -IL	il	ISRAEL
    8.41 -IN	in	INDIA
    8.42 -IS	is	ICELAND
    8.43 -IT	it	ITALY
    8.44 -JP	jp	JAPAN
    8.45 -KR	kr	REPUBLIC_OF_KOREA
    8.46 -KW	kw	KUWAIT
    8.47 -LB	lb	LEBANON
    8.48 -LI	li	LIECHTENSTEIN
    8.49 -LK	lk	SRI_LANKA
    8.50 -LT	lt	LITHUANIA
    8.51 -LU	lu	LUXEMBOURG
    8.52 -LV	lv	LATVIA
    8.53 -MA	ma	MOROCCO
    8.54 -MQ	fr	MARTINIQUE
    8.55 -MT	mt	MALTA
    8.56 -MX	mx	MEXICO
    8.57 -MY	my	MALAYSIA
    8.58 -NC	fr	NEW_CALEDONIA
    8.59 -NI	ni	NICARAGUA
    8.60 -NL	nl	NETHERLANDS
    8.61 -NO	no	NORWAY
    8.62 -NZ	nz	NEW_ZEALAND
    8.63 -OM	om	OMAN
    8.64 -PA	pa	PANAMA
    8.65 -PE	pe	PERU
    8.66 -PH	ph	PHILIPPINES
    8.67 -PJ	fr	FRENCH_POLYNESIA
    8.68 -PK	pk	PAKISTAN
    8.69 -PL	pl	POLAND
    8.70 -PR	pr	PUERTO_RICO
    8.71 -PT	pt	PORTUGAL
    8.72 -PY	py	PARAGUAY
    8.73 -RO	ro	ROMANIA
    8.74 -RU	ru	RUSSIA
    8.75 -SA	sa	SAUDI_ARABIA
    8.76 -SE	se	SWEDEN
    8.77 -SG	sg	SINGAPORE
    8.78 -SI	si	SLOVENIA
    8.79 -SK	sk	SLOVAKIA
    8.80 -TH	th	THAILAND
    8.81 -TN	tn	TUNISIA
    8.82 -TR	tr	TURKEY
    8.83 -TW	tw	TAIWAN
    8.84 -UA	ua	UKRAINE
    8.85 -UK	uk	UNITED_KINGDOM
    8.86 -US	us	UNITED_STATES
    8.87 -UY	uy	URUGUAY
    8.88 -VE	ve	VENEZUELA
    8.89 -VI	vi	VIRGIN_ISLANDS_U.S.
    8.90 -VN	vn	VIET_NAM
    8.91 -ZA	za	SOUTH_AFRICA
     9.1 --- a/get-softmodem-driver/stuff/martian.init	Sat Mar 03 11:14:56 2012 -0800
     9.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
     9.3 @@ -1,62 +0,0 @@
     9.4 -#!/bin/sh
     9.5 -# /etc/init.d/martian: Start, stop and restart martian deamon on SliTaz, at boot
     9.6 -# time or with the command line.
     9.7 -#
     9.8 -# To start daemon at boot time, just put the right name in the $RUN_DAEMONS
     9.9 -# variable of /etc/rcS.conf and configure options with /etc/daemons.conf.
    9.10 -#
    9.11 -. /etc/init.d/rc.functions
    9.12 -. /etc/daemons.conf
    9.13 -
    9.14 -NAME="Martian modem"
    9.15 -DESC="Agere Systems PCI Modem deamon"
    9.16 -DAEMON=/usr/sbin/martian_modem
    9.17 -OPTIONS="--daemon $MARTIAN_OPTIONS"
    9.18 -PIDFILE=/var/run/martian.pid
    9.19 -MODULE="martian_dev"
    9.20 -
    9.21 -if [ `/sbin/lsmod | grep -c ${MODULE}` -lt "1" ]; then
    9.22 -	echo "kernel module is not loaded!"
    9.23 -	exit 1
    9.24 -fi
    9.25 -
    9.26 -case "$1" in
    9.27 -  start)
    9.28 -    if active_pidfile $PIDFILE martian_modem ; then
    9.29 -      echo "$NAME already running."
    9.30 -      exit 1
    9.31 -    fi
    9.32 -    echo -n "Starting $DESC: $NAME... "
    9.33 -    $DAEMON $OPTIONS &&  echo `/bin/pidof $DAEMON` > $PIDFILE
    9.34 -    status
    9.35 -    ;;
    9.36 -  stop)
    9.37 -    if ! active_pidfile $PIDFILE martian_modem ; then
    9.38 -      echo "$NAME is not running."
    9.39 -      exit 1
    9.40 -    fi
    9.41 -    echo -n "Stopping $DESC: $NAME... "
    9.42 -    killall martian_modem
    9.43 -	rm $PIDFILE
    9.44 -    status
    9.45 -    ;;
    9.46 -  restart)
    9.47 -    if ! active_pidfile $PIDFILE martian_modem ; then
    9.48 -      echo "$NAME is not running."
    9.49 -      exit 1
    9.50 -    fi
    9.51 -    echo -n "Restarting $DESC: $NAME... "
    9.52 -    killall martian_modem
    9.53 -    sleep 2
    9.54 -    $DAEMON $OPTIONS &&  echo `/bin/pidof $DAEMON` > $PIDFILE
    9.55 -    status
    9.56 -    ;;
    9.57 -  *)
    9.58 -    echo ""
    9.59 -    echo -e "\033[1mUsage:\033[0m /etc/init.d/`basename $0` [start|stop|restart]"
    9.60 -    echo ""
    9.61 -    exit 1
    9.62 -    ;;
    9.63 -esac
    9.64 -
    9.65 -exit 0
    10.1 --- a/get-softmodem-driver/stuff/martian.receipt	Sat Mar 03 11:14:56 2012 -0800
    10.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    10.3 @@ -1,49 +0,0 @@
    10.4 -# SliTaz package receipt.
    10.5 -
    10.6 -PACKAGE="martian"
    10.7 -VERSION="full-20080617"
    10.8 -CATEGORY="non-free"
    10.9 -SHORT_DESC="Driver for the Agere Systems PCI Modem built on DSP 164x (Mars) series."
   10.10 -MAINTAINER="domcox@slitaz.org"
   10.11 -TARBALL="$PACKAGE-$VERSION.tar.gz"
   10.12 -DEPENDS="module-init-tools linux-source"
   10.13 -WEB_SITE="http://martian.barrelsoutofbond.org"
   10.14 -WGET_URL="http://www.barrelsoutofbond.org/downloads/$PACKAGE/$TARBALL"
   10.15 -
   10.16 -# Rules to gen a SliTaz package suitable for Tazpkg.
   10.17 -
   10.18 -post_install()
   10.19 -{
   10.20 -	# Country settings
   10.21 -	if [ -e /etc/TZ ]; then
   10.22 -		ZONE=`cat /etc/TZ`
   10.23 -		CODE=`grep $ZONE /usr/share/martian/zone.tab | cut -f1'`
   10.24 -		if [ -n $CODE ]; then
   10.25 -			COUNTRY=`grep ^$CODE /usr/share/martian/martian.country | cut -f2`
   10.26 -			COUNTRY_NAME=`grep ^$CODE /usr/share/martian/martian.country | cut -f3`
   10.27 -		fi
   10.28 -	fi
   10.29 -	if [ -z $COUNTRY ]; then
   10.30 -		COUNTRY="us"
   10.31 -		COUNTRY_NAME="USA"
   10.32 -	fi
   10.33 -	echo "Automatic country setting: $COUNTRY_NAME"
   10.34 -	# Save options
   10.35 -	if [ `grep -c MARTIAN_OPTIONS /etc/daemons.conf` -gt 0 ]; then
   10.36 -		sed -i 's/MARTIAN_OPTIONS=.*/MARTIAN_OPTIONS="--country='"$COUNTRY"' \/dev\/ttySM0"/' /etc/daemons.conf
   10.37 -	else
   10.38 -	echo "# slmodemd daemon options." >> $root/etc/daemons.conf
   10.39 -		echo "MARTIAN_OPTIONS=\"--country=$COUNTRY /dev/ttySM0\"" >> $root/etc/daemons.conf
   10.40 -		echo  >> $root/etc/daemons.conf
   10.41 -	fi
   10.42 -	# Load module
   10.43 -	/sbin/depmod -a
   10.44 -	/sbin/modprobe martian_dev && \
   10.45 -	/etc/init.d/martian start
   10.46 -}
   10.47 -
   10.48 -post_remove()
   10.49 -{
   10.50 -	/etc/init.d/martian stop
   10.51 -	rm -rf /usr/share/martian
   10.52 -}
    11.1 --- a/get-softmodem-driver/stuff/slmodem.country	Sat Mar 03 11:14:56 2012 -0800
    11.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    11.3 @@ -1,82 +0,0 @@
    11.4 -AD	CTR21EUROPE
    11.5 -AE	UAE
    11.6 -AR	ARGENTINA
    11.7 -AT	AUSTRIA
    11.8 -AU	AUSTRALIA
    11.9 -BE	BELGIUM
   11.10 -BG	BULGARIA
   11.11 -BH	BAHREIN
   11.12 -BN	BRUNEI
   11.13 -BR	BRAZIL
   11.14 -CA	CANADA
   11.15 -CH	SWITZERLAND
   11.16 -CL	CHILE
   11.17 -CN	CHINA
   11.18 -CY	CYPRUS
   11.19 -CZ	CZECH_REPUBLIC
   11.20 -DE	GERMANY
   11.21 -DK	DENMARK
   11.22 -DZ	ALGERIA
   11.23 -EE	ESTONIA
   11.24 -EG	EGYPT
   11.25 -ES	SPAIN
   11.26 -FI	FINLAND
   11.27 -FO	CTR21EUROPE
   11.28 -FR	FRANCE
   11.29 -GB	UK
   11.30 -GI	CTR21EUROPE
   11.31 -GL	CTR21EUROPE
   11.32 -GP	FRANCE
   11.33 -GR	GREECE
   11.34 -HK	HONG_KONG
   11.35 -HU	HUNGARY
   11.36 -ID	INDONESIA
   11.37 -IE	IRELAND
   11.38 -IL	ISRAEL
   11.39 -IN	INDIA
   11.40 -IS	ICELAND
   11.41 -IT	ITALY
   11.42 -JO	JORDAN
   11.43 -JP	JAPAN
   11.44 -KR	KOREA
   11.45 -KT	SOUTHKOREA
   11.46 -KW	KUWAIT
   11.47 -LB	LEBANON
   11.48 -LI	CTR21EUROPE
   11.49 -LK	SRILANKA
   11.50 -LT	LITHUANIA
   11.51 -LU	LUXEMBOURG
   11.52 -LV	LATVIA
   11.53 -MA	MOROCCO
   11.54 -MC	CTR21EUROPE
   11.55 -MQ	FRANCE
   11.56 -MT	MALTA
   11.57 -MX	MEXICO
   11.58 -MY	MALAYSIA
   11.59 -NC	FRANCE
   11.60 -NL	NETHERLANDS
   11.61 -NO	NORWAY
   11.62 -NZ	NEW_ZEALAND
   11.63 -OM	OMAN
   11.64 -PE	PERU
   11.65 -PH	PHILIPPINES
   11.66 -PJ	FRANCE
   11.67 -PK	PAKISTAN
   11.68 -PL	POLAND
   11.69 -PT	PORTUGAL
   11.70 -RO	ROMANIA
   11.71 -RU	RUSSIA
   11.72 -SA	SAUDIARABIA
   11.73 -SE	SWEDEN
   11.74 -SG	SINGAPORE
   11.75 -SI	SLOVENIA
   11.76 -SK	SLOVAKIA
   11.77 -SM	CTR21EUROPE
   11.78 -TH	THAILAND
   11.79 -TN	TUNISIA
   11.80 -TR	TURKEY
   11.81 -TW	TAIWAN
   11.82 -US	USA
   11.83 -UY	URUGUAY
   11.84 -VN	VIETNAM
   11.85 -ZA	SOUTHAFRICA
    12.1 --- a/get-softmodem-driver/stuff/slmodem.init	Sat Mar 03 11:14:56 2012 -0800
    12.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    12.3 @@ -1,55 +0,0 @@
    12.4 -#!/bin/sh
    12.5 -# /etc/init.d/slmodem: Start, stop and restart slmodemd deamon on SliTaz, at boot
    12.6 -# time or with the command line.
    12.7 -#
    12.8 -# To start daemon at boot time, just put the right name in the $RUN_DAEMONS
    12.9 -# variable of /etc/rcS.conf and configure options with /etc/daemons.conf.
   12.10 -#
   12.11 -. /etc/init.d/rc.functions
   12.12 -. /etc/daemons.conf
   12.13 -
   12.14 -NAME="Smartlink modem"
   12.15 -DESC="Smart Link Modem deamon"
   12.16 -DAEMON=/usr/sbin/slmodemd
   12.17 -OPTIONS=$SLMODEM_OPTIONS
   12.18 -PIDFILE=/var/run/slmodemd.pid
   12.19 -
   12.20 -case "$1" in
   12.21 -  start)
   12.22 -    if active_pidfile $PIDFILE slmodemd ; then
   12.23 -      echo "$NAME already running."
   12.24 -      exit 1
   12.25 -    fi
   12.26 -    echo -n "Starting $DESC: $NAME... "
   12.27 -    $DAEMON $OPTIONS &&  echo `/bin/pidof $DAEMON` > $PIDFILE
   12.28 -    status
   12.29 -    ;;
   12.30 -  stop)
   12.31 -    if ! active_pidfile $PIDFILE slmodemd ; then
   12.32 -      echo "$NAME is not running."
   12.33 -      exit 1
   12.34 -    fi
   12.35 -    echo -n "Stopping $DESC: $NAME... "
   12.36 -    kill `cat $PIDFILE`
   12.37 -    status
   12.38 -    ;;
   12.39 -  restart)
   12.40 -    if ! active_pidfile $PIDFILE slmodemd ; then
   12.41 -      echo "$NAME is not running."
   12.42 -      exit 1
   12.43 -    fi
   12.44 -    echo -n "Restarting $DESC: $NAME... "
   12.45 -    kill `cat $PIDFILE`
   12.46 -    sleep 2
   12.47 -    $DAEMON $OPTIONS &&  echo `/bin/pidof $DAEMON` > $PIDFILE
   12.48 -    status
   12.49 -    ;;
   12.50 -  *)
   12.51 -    echo ""
   12.52 -    echo -e "\033[1mUsage:\033[0m /etc/init.d/`basename $0` [start|stop|restart]"
   12.53 -    echo ""
   12.54 -    exit 1
   12.55 -    ;;
   12.56 -esac
   12.57 -
   12.58 -exit 0
    13.1 --- a/get-softmodem-driver/stuff/slmodem.receipt	Sat Mar 03 11:14:56 2012 -0800
    13.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    13.3 @@ -1,46 +0,0 @@
    13.4 -# SliTaz package receipt.
    13.5 -
    13.6 -PACKAGE="slmodem"
    13.7 -VERSION="2.9.11-20090222"
    13.8 -CATEGORY="non-free"
    13.9 -SHORT_DESC="Support for the SmartLink Softmodem and ALSA supported chipsets."
   13.10 -MAINTAINER="domcox@slitaz.org"
   13.11 -TARBALL="$PACKAGE-$VERSION.tar.gz"
   13.12 -DEPENDS="alsa-lib module-init-tools linux-source"
   13.13 -WEB_SITE="http://linmodems.technion.ac.il"
   13.14 -WGET_URL="http://linmodems.technion.ac.il/packages/smartlink/$TARBALL"
   13.15 -
   13.16 -# Rules to gen a SliTaz package suitable for Tazpkg.
   13.17 -
   13.18 -post_install()
   13.19 -{
   13.20 -	# Country detection
   13.21 -	if [ -e /etc/TZ ]; then
   13.22 -		ZONE=`cat /etc/TZ`
   13.23 -		CODE=`grep $ZONE /usr/share/slmodem/zone.tab | cut -f1'`
   13.24 -		if [ -n $CODE ]; then
   13.25 -			COUNTRY=`grep ^$CODE /usr/share/slmodem/slmodem.country | cut -f2`
   13.26 -		fi
   13.27 -	fi
   13.28 -	if [ -z $COUNTRY ]; then
   13.29 -		COUNTRY="USA"
   13.30 -	fi
   13.31 -	echo "Automatic country setting: $COUNTRY"
   13.32 -	# Save options
   13.33 -	if [ `grep -c SLMODEM_OPTIONS /etc/daemons.conf` -gt 0 ]; then
   13.34 -		sed -i 's/SLMODEM_OPTIONS=.*/SLMODEM_OPTIONS="--country='"$COUNTRY"' \/dev\/slamr0"/' /etc/daemons.conf
   13.35 -	else
   13.36 -		echo "# slmodemd daemon options." >> $root/etc/daemons.conf
   13.37 -		echo "SLMODEM_OPTIONS=\"--country=$COUNTRY /dev/slamr0\"" >> $root/etc/daemons.conf
   13.38 -		echo  >> $root/etc/daemons.conf
   13.39 -	fi
   13.40 -	# Load module 
   13.41 -	depmod -a
   13.42 -	/sbin/modprobe slamr && /etc/init.d/slmodem start
   13.43 -}
   13.44 -
   13.45 -post_remove()
   13.46 -{
   13.47 -	/etc/init.d/slmodem stop
   13.48 -	rm -rf /usr/share/slmodem
   13.49 -}
   13.50 \ No newline at end of file
    14.1 --- a/get-softmodem-driver/stuff/zone.tab	Sat Mar 03 11:14:56 2012 -0800
    14.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    14.3 @@ -1,407 +0,0 @@
    14.4 -# @(#)zone.tab	1.32
    14.5 -#
    14.6 -# TZ zone descriptions
    14.7 -#
    14.8 -# From Paul Eggert (1996-08-05):
    14.9 -#
   14.10 -# This file contains a table with the following columns:
   14.11 -# 1.  ISO 3166 2-character country code.  See the file `iso3166.tab'.
   14.12 -# 2.  Latitude and longitude of the zone's principal location
   14.13 -#     in ISO 6709 sign-degrees-minutes-seconds format,
   14.14 -#     either +-DDMM+-DDDMM or +-DDMMSS+-DDDMMSS,
   14.15 -#     first latitude (+ is north), then longitude (+ is east).
   14.16 -# 3.  Zone name used in value of TZ environment variable.
   14.17 -# 4.  Comments; present if and only if the country has multiple rows.
   14.18 -#
   14.19 -# Columns are separated by a single tab.
   14.20 -# The table is sorted first by country, then an order within the country that
   14.21 -# (1) makes some geographical sense, and
   14.22 -# (2) puts the most populous zones first, where that does not contradict (1).
   14.23 -#
   14.24 -# Lines beginning with `#' are comments.
   14.25 -#
   14.26 -#country-
   14.27 -#code	coordinates	TZ			comments
   14.28 -AD	+4230+00131	Europe/Andorra
   14.29 -AE	+2518+05518	Asia/Dubai
   14.30 -AF	+3431+06912	Asia/Kabul
   14.31 -AG	+1703-06148	America/Antigua
   14.32 -AI	+1812-06304	America/Anguilla
   14.33 -AL	+4120+01950	Europe/Tirane
   14.34 -AM	+4011+04430	Asia/Yerevan
   14.35 -AN	+1211-06900	America/Curacao
   14.36 -AO	-0848+01314	Africa/Luanda
   14.37 -AQ	-7750+16636	Antarctica/McMurdo	McMurdo Station, Ross Island
   14.38 -AQ	-9000+00000	Antarctica/South_Pole	Amundsen-Scott Station, South Pole
   14.39 -AQ	-6734-06808	Antarctica/Rothera	Rothera Station, Adelaide Island
   14.40 -AQ	-6448-06406	Antarctica/Palmer	Palmer Station, Anvers Island
   14.41 -AQ	-6736+06253	Antarctica/Mawson	Mawson Station, Holme Bay
   14.42 -AQ	-6835+07758	Antarctica/Davis	Davis Station, Vestfold Hills
   14.43 -AQ	-6617+11031	Antarctica/Casey	Casey Station, Bailey Peninsula
   14.44 -AQ	-7824+10654	Antarctica/Vostok	Vostok Station, S Magnetic Pole
   14.45 -AQ	-6640+14001	Antarctica/DumontDUrville	Dumont-d'Urville Base, Terre Adelie
   14.46 -AQ	-690022+0393524	Antarctica/Syowa	Syowa Station, E Ongul I
   14.47 -AR	-3436-05827	America/Argentina/Buenos_Aires	Buenos Aires (BA, CF)
   14.48 -AR	-3124-06411	America/Argentina/Cordoba	most locations (CB, CC, CN, ER, FM, LP, MN, NQ, RN, SA, SE, SF, SL)
   14.49 -AR	-2411-06518	America/Argentina/Jujuy	Jujuy (JY)
   14.50 -AR	-3124-06411	America/Argentina/Tucuman	Tucuman (TM)
   14.51 -AR	-2828-06547	America/Argentina/Catamarca	Catamarca (CT), Chubut (CH)
   14.52 -AR	-2926-06651	America/Argentina/La_Rioja	La Rioja (LR)
   14.53 -AR	-3132-06831	America/Argentina/San_Juan	San Juan (SJ)
   14.54 -AR	-3253-06849	America/Argentina/Mendoza	Mendoza (MZ)
   14.55 -AR	-5138-06913	America/Argentina/Rio_Gallegos	Santa Cruz (SC)
   14.56 -AR	-5448-06818	America/Argentina/Ushuaia	Tierra del Fuego (TF)
   14.57 -AS	-1416-17042	Pacific/Pago_Pago
   14.58 -AT	+4813+01620	Europe/Vienna
   14.59 -AU	-3133+15905	Australia/Lord_Howe	Lord Howe Island
   14.60 -AU	-4253+14719	Australia/Hobart	Tasmania - most locations
   14.61 -AU	-3956+14352	Australia/Currie	Tasmania - King Island
   14.62 -AU	-3749+14458	Australia/Melbourne	Victoria
   14.63 -AU	-3352+15113	Australia/Sydney	New South Wales - most locations
   14.64 -AU	-3157+14127	Australia/Broken_Hill	New South Wales - Yancowinna
   14.65 -AU	-2728+15302	Australia/Brisbane	Queensland - most locations
   14.66 -AU	-2016+14900	Australia/Lindeman	Queensland - Holiday Islands
   14.67 -AU	-3455+13835	Australia/Adelaide	South Australia
   14.68 -AU	-1228+13050	Australia/Darwin	Northern Territory
   14.69 -AU	-3157+11551	Australia/Perth	Western Australia
   14.70 -AW	+1230-06858	America/Aruba
   14.71 -AX	+6006+01957	Europe/Mariehamn
   14.72 -AZ	+4023+04951	Asia/Baku
   14.73 -BA	+4352+01825	Europe/Sarajevo
   14.74 -BB	+1306-05937	America/Barbados
   14.75 -BD	+2343+09025	Asia/Dhaka
   14.76 -BE	+5050+00420	Europe/Brussels
   14.77 -BF	+1222-00131	Africa/Ouagadougou
   14.78 -BG	+4241+02319	Europe/Sofia
   14.79 -BH	+2623+05035	Asia/Bahrain
   14.80 -BI	-0323+02922	Africa/Bujumbura
   14.81 -BJ	+0629+00237	Africa/Porto-Novo
   14.82 -BM	+3217-06446	Atlantic/Bermuda
   14.83 -BN	+0456+11455	Asia/Brunei
   14.84 -BO	-1630-06809	America/La_Paz
   14.85 -BR	-0351-03225	America/Noronha	Atlantic islands
   14.86 -BR	-0127-04829	America/Belem	Amapa, E Para
   14.87 -BR	-0343-03830	America/Fortaleza	NE Brazil (MA, PI, CE, RN, PB)
   14.88 -BR	-0803-03454	America/Recife	Pernambuco
   14.89 -BR	-0712-04812	America/Araguaina	Tocantins
   14.90 -BR	-0940-03543	America/Maceio	Alagoas, Sergipe
   14.91 -BR	-1259-03831	America/Bahia	Bahia
   14.92 -BR	-2332-04637	America/Sao_Paulo	S & SE Brazil (GO, DF, MG, ES, RJ, SP, PR, SC, RS)
   14.93 -BR	-2027-05437	America/Campo_Grande	Mato Grosso do Sul
   14.94 -BR	-1535-05605	America/Cuiaba	Mato Grosso
   14.95 -BR	-0846-06354	America/Porto_Velho	W Para, Rondonia
   14.96 -BR	+0249-06040	America/Boa_Vista	Roraima
   14.97 -BR	-0308-06001	America/Manaus	E Amazonas
   14.98 -BR	-0640-06952	America/Eirunepe	W Amazonas
   14.99 -BR	-0958-06748	America/Rio_Branco	Acre
  14.100 -BS	+2505-07721	America/Nassau
  14.101 -BT	+2728+08939	Asia/Thimphu
  14.102 -BW	-2545+02555	Africa/Gaborone
  14.103 -BY	+5354+02734	Europe/Minsk
  14.104 -BZ	+1730-08812	America/Belize
  14.105 -CA	+4734-05243	America/St_Johns	Newfoundland Island
  14.106 -CA	+4439-06336	America/Halifax	Atlantic Time - Nova Scotia (most places), NB, W Labrador, E Quebec & PEI
  14.107 -CA	+4612-05957	America/Glace_Bay	Atlantic Time - Nova Scotia - places that did not observe DST 1966-1971
  14.108 -CA	+5320-06025	America/Goose_Bay	Atlantic Time - E Labrador
  14.109 -CA	+4531-07334	America/Montreal	Eastern Time - Quebec - most locations
  14.110 -CA	+4339-07923	America/Toronto	Eastern Time - Ontario - most locations
  14.111 -CA	+4901-08816	America/Nipigon	Eastern Time - Ontario & Quebec - places that did not observe DST 1967-1973
  14.112 -CA	+4823-08915	America/Thunder_Bay	Eastern Time - Thunder Bay, Ontario
  14.113 -CA	+6608-06544	America/Pangnirtung	Eastern Time - Pangnirtung, Nunavut
  14.114 -CA	+6344-06828	America/Iqaluit	Eastern Time - east Nunavut
  14.115 -CA	+6408-08310	America/Coral_Harbour	Eastern Standard Time - Southampton Island
  14.116 -CA	+6245-09210	America/Rankin_Inlet	Central Time - central Nunavut
  14.117 -CA	+4953-09709	America/Winnipeg	Central Time - Manitoba & west Ontario
  14.118 -CA	+4843-09429	America/Rainy_River	Central Time - Rainy River & Fort Frances, Ontario
  14.119 -CA	+6903-10505	America/Cambridge_Bay	Central Time - west Nunavut
  14.120 -CA	+5024-10439	America/Regina	Central Standard Time - Saskatchewan - most locations
  14.121 -CA	+5017-10750	America/Swift_Current	Central Standard Time - Saskatchewan - midwest
  14.122 -CA	+5333-11328	America/Edmonton	Mountain Time - Alberta, east British Columbia & west Saskatchewan
  14.123 -CA	+6227-11421	America/Yellowknife	Mountain Time - central Northwest Territories
  14.124 -CA	+6825-11330	America/Inuvik	Mountain Time - west Northwest Territories
  14.125 -CA	+5946-12014	America/Dawson_Creek	Mountain Standard Time - Dawson Creek & Fort Saint John, British Columbia
  14.126 -CA	+4916-12307	America/Vancouver	Pacific Time - west British Columbia
  14.127 -CA	+6043-13503	America/Whitehorse	Pacific Time - south Yukon
  14.128 -CA	+6404-13925	America/Dawson	Pacific Time - north Yukon
  14.129 -CC	-1210+09655	Indian/Cocos
  14.130 -CD	-0418+01518	Africa/Kinshasa	west Dem. Rep. of Congo
  14.131 -CD	-1140+02728	Africa/Lubumbashi	east Dem. Rep. of Congo
  14.132 -CF	+0422+01835	Africa/Bangui
  14.133 -CG	-0416+01517	Africa/Brazzaville
  14.134 -CH	+4723+00832	Europe/Zurich
  14.135 -CI	+0519-00402	Africa/Abidjan
  14.136 -CK	-2114-15946	Pacific/Rarotonga
  14.137 -CL	-3327-07040	America/Santiago	most locations
  14.138 -CL	-2710-10927	Pacific/Easter	Easter Island & Sala y Gomez
  14.139 -CM	+0403+00942	Africa/Douala
  14.140 -CN	+3114+12128	Asia/Shanghai	east China - Beijing, Guangdong, Shanghai, etc.
  14.141 -CN	+4545+12641	Asia/Harbin	Heilongjiang
  14.142 -CN	+2934+10635	Asia/Chongqing	central China - Gansu, Guizhou, Sichuan, Yunnan, etc.
  14.143 -CN	+4348+08735	Asia/Urumqi	Tibet & most of Xinjiang Uyghur
  14.144 -CN	+3929+07559	Asia/Kashgar	southwest Xinjiang Uyghur
  14.145 -CO	+0436-07405	America/Bogota
  14.146 -CR	+0956-08405	America/Costa_Rica
  14.147 -CS	+4450+02030	Europe/Belgrade
  14.148 -CU	+2308-08222	America/Havana
  14.149 -CV	+1455-02331	Atlantic/Cape_Verde
  14.150 -CX	-1025+10543	Indian/Christmas
  14.151 -CY	+3510+03322	Asia/Nicosia
  14.152 -CZ	+5005+01426	Europe/Prague
  14.153 -DE	+5230+01322	Europe/Berlin
  14.154 -DJ	+1136+04309	Africa/Djibouti
  14.155 -DK	+5540+01235	Europe/Copenhagen
  14.156 -DM	+1518-06124	America/Dominica
  14.157 -DO	+1828-06954	America/Santo_Domingo
  14.158 -DZ	+3647+00303	Africa/Algiers
  14.159 -EC	-0210-07950	America/Guayaquil	mainland
  14.160 -EC	-0054-08936	Pacific/Galapagos	Galapagos Islands
  14.161 -EE	+5925+02445	Europe/Tallinn
  14.162 -EG	+3003+03115	Africa/Cairo
  14.163 -EH	+2709-01312	Africa/El_Aaiun
  14.164 -ER	+1520+03853	Africa/Asmera
  14.165 -ES	+4024-00341	Europe/Madrid	mainland
  14.166 -ES	+3553-00519	Africa/Ceuta	Ceuta & Melilla
  14.167 -ES	+2806-01524	Atlantic/Canary	Canary Islands
  14.168 -ET	+0902+03842	Africa/Addis_Ababa
  14.169 -FI	+6010+02458	Europe/Helsinki
  14.170 -FJ	-1808+17825	Pacific/Fiji
  14.171 -FK	-5142-05751	Atlantic/Stanley
  14.172 -FM	+0725+15147	Pacific/Truk	Truk (Chuuk) and Yap
  14.173 -FM	+0658+15813	Pacific/Ponape	Ponape (Pohnpei)
  14.174 -FM	+0519+16259	Pacific/Kosrae	Kosrae
  14.175 -FO	+6201-00646	Atlantic/Faeroe
  14.176 -FR	+4852+00220	Europe/Paris
  14.177 -GA	+0023+00927	Africa/Libreville
  14.178 -GB	+512830-0001845	Europe/London
  14.179 -GD	+1203-06145	America/Grenada
  14.180 -GE	+4143+04449	Asia/Tbilisi
  14.181 -GF	+0456-05220	America/Cayenne
  14.182 -GH	+0533-00013	Africa/Accra
  14.183 -GI	+3608-00521	Europe/Gibraltar
  14.184 -GL	+6411-05144	America/Godthab	most locations
  14.185 -GL	+7646-01840	America/Danmarkshavn	east coast, north of Scoresbysund
  14.186 -GL	+7030-02215	America/Scoresbysund	Scoresbysund / Ittoqqortoormiit
  14.187 -GL	+7634-06847	America/Thule	Thule / Pituffik
  14.188 -GM	+1328-01639	Africa/Banjul
  14.189 -GN	+0931-01343	Africa/Conakry
  14.190 -GP	+1614-06132	America/Guadeloupe
  14.191 -GQ	+0345+00847	Africa/Malabo
  14.192 -GR	+3758+02343	Europe/Athens
  14.193 -GS	-5416-03632	Atlantic/South_Georgia
  14.194 -GT	+1438-09031	America/Guatemala
  14.195 -GU	+1328+14445	Pacific/Guam
  14.196 -GW	+1151-01535	Africa/Bissau
  14.197 -GY	+0648-05810	America/Guyana
  14.198 -HK	+2217+11409	Asia/Hong_Kong
  14.199 -HN	+1406-08713	America/Tegucigalpa
  14.200 -HR	+4548+01558	Europe/Zagreb
  14.201 -HT	+1832-07220	America/Port-au-Prince
  14.202 -HU	+4730+01905	Europe/Budapest
  14.203 -ID	-0610+10648	Asia/Jakarta	Java & Sumatra
  14.204 -ID	-0002+10920	Asia/Pontianak	west & central Borneo
  14.205 -ID	-0507+11924	Asia/Makassar	east & south Borneo, Celebes, Bali, Nusa Tengarra, west Timor
  14.206 -ID	-0232+14042	Asia/Jayapura	Irian Jaya & the Moluccas
  14.207 -IE	+5320-00615	Europe/Dublin
  14.208 -IL	+3146+03514	Asia/Jerusalem
  14.209 -IN	+2232+08822	Asia/Calcutta
  14.210 -IO	-0720+07225	Indian/Chagos
  14.211 -IQ	+3321+04425	Asia/Baghdad
  14.212 -IR	+3540+05126	Asia/Tehran
  14.213 -IS	+6409-02151	Atlantic/Reykjavik
  14.214 -IT	+4154+01229	Europe/Rome
  14.215 -JM	+1800-07648	America/Jamaica
  14.216 -JO	+3157+03556	Asia/Amman
  14.217 -JP	+353916+1394441	Asia/Tokyo
  14.218 -KE	-0117+03649	Africa/Nairobi
  14.219 -KG	+4254+07436	Asia/Bishkek
  14.220 -KH	+1133+10455	Asia/Phnom_Penh
  14.221 -KI	+0125+17300	Pacific/Tarawa	Gilbert Islands
  14.222 -KI	-0308-17105	Pacific/Enderbury	Phoenix Islands
  14.223 -KI	+0152-15720	Pacific/Kiritimati	Line Islands
  14.224 -KM	-1141+04316	Indian/Comoro
  14.225 -KN	+1718-06243	America/St_Kitts
  14.226 -KP	+3901+12545	Asia/Pyongyang
  14.227 -KR	+3733+12658	Asia/Seoul
  14.228 -KW	+2920+04759	Asia/Kuwait
  14.229 -KY	+1918-08123	America/Cayman
  14.230 -KZ	+4315+07657	Asia/Almaty	most locations
  14.231 -KZ	+4448+06528	Asia/Qyzylorda	Qyzylorda (Kyzylorda, Kzyl-Orda)
  14.232 -KZ	+5017+05710	Asia/Aqtobe	Aqtobe (Aktobe)
  14.233 -KZ	+4431+05016	Asia/Aqtau	Atyrau (Atirau, Gur'yev), Mangghystau (Mankistau)
  14.234 -KZ	+5113+05121	Asia/Oral	West Kazakhstan
  14.235 -LA	+1758+10236	Asia/Vientiane
  14.236 -LB	+3353+03530	Asia/Beirut
  14.237 -LC	+1401-06100	America/St_Lucia
  14.238 -LI	+4709+00931	Europe/Vaduz
  14.239 -LK	+0656+07951	Asia/Colombo
  14.240 -LR	+0618-01047	Africa/Monrovia
  14.241 -LS	-2928+02730	Africa/Maseru
  14.242 -LT	+5441+02519	Europe/Vilnius
  14.243 -LU	+4936+00609	Europe/Luxembourg
  14.244 -LV	+5657+02406	Europe/Riga
  14.245 -LY	+3254+01311	Africa/Tripoli
  14.246 -MA	+3339-00735	Africa/Casablanca
  14.247 -MC	+4342+00723	Europe/Monaco
  14.248 -MD	+4700+02850	Europe/Chisinau
  14.249 -MG	-1855+04731	Indian/Antananarivo
  14.250 -MH	+0709+17112	Pacific/Majuro	most locations
  14.251 -MH	+0905+16720	Pacific/Kwajalein	Kwajalein
  14.252 -MK	+4159+02126	Europe/Skopje
  14.253 -ML	+1239-00800	Africa/Bamako
  14.254 -MM	+1647+09610	Asia/Rangoon
  14.255 -MN	+4755+10653	Asia/Ulaanbaatar	most locations
  14.256 -MN	+4801+09139	Asia/Hovd	Bayan-Olgiy, Govi-Altai, Hovd, Uvs, Zavkhan
  14.257 -MN	+4804+11430	Asia/Choibalsan	Dornod, Sukhbaatar
  14.258 -MO	+2214+11335	Asia/Macau
  14.259 -MP	+1512+14545	Pacific/Saipan
  14.260 -MQ	+1436-06105	America/Martinique
  14.261 -MR	+1806-01557	Africa/Nouakchott
  14.262 -MS	+1644-06213	America/Montserrat
  14.263 -MT	+3554+01431	Europe/Malta
  14.264 -MU	-2010+05730	Indian/Mauritius
  14.265 -MV	+0410+07330	Indian/Maldives
  14.266 -MW	-1547+03500	Africa/Blantyre
  14.267 -MX	+1924-09909	America/Mexico_City	Central Time - most locations
  14.268 -MX	+2105-08646	America/Cancun	Central Time - Quintana Roo
  14.269 -MX	+2058-08937	America/Merida	Central Time - Campeche, Yucatan
  14.270 -MX	+2540-10019	America/Monterrey	Central Time - Coahuila, Durango, Nuevo Leon, Tamaulipas
  14.271 -MX	+2313-10625	America/Mazatlan	Mountain Time - S Baja, Nayarit, Sinaloa
  14.272 -MX	+2838-10605	America/Chihuahua	Mountain Time - Chihuahua
  14.273 -MX	+2904-11058	America/Hermosillo	Mountain Standard Time - Sonora
  14.274 -MX	+3232-11701	America/Tijuana	Pacific Time
  14.275 -MY	+0310+10142	Asia/Kuala_Lumpur	peninsular Malaysia
  14.276 -MY	+0133+11020	Asia/Kuching	Sabah & Sarawak
  14.277 -MZ	-2558+03235	Africa/Maputo
  14.278 -NA	-2234+01706	Africa/Windhoek
  14.279 -NC	-2216+16530	Pacific/Noumea
  14.280 -NE	+1331+00207	Africa/Niamey
  14.281 -NF	-2903+16758	Pacific/Norfolk
  14.282 -NG	+0627+00324	Africa/Lagos
  14.283 -NI	+1209-08617	America/Managua
  14.284 -NL	+5222+00454	Europe/Amsterdam
  14.285 -NO	+5955+01045	Europe/Oslo
  14.286 -NP	+2743+08519	Asia/Katmandu
  14.287 -NR	-0031+16655	Pacific/Nauru
  14.288 -NU	-1901+16955	Pacific/Niue
  14.289 -NZ	-3652+17446	Pacific/Auckland	most locations
  14.290 -NZ	-4357-17633	Pacific/Chatham	Chatham Islands
  14.291 -OM	+2336+05835	Asia/Muscat
  14.292 -PA	+0858-07932	America/Panama
  14.293 -PE	-1203-07703	America/Lima
  14.294 -PF	-1732-14934	Pacific/Tahiti	Society Islands
  14.295 -PF	-0900-13930	Pacific/Marquesas	Marquesas Islands
  14.296 -PF	-2308-13457	Pacific/Gambier	Gambier Islands
  14.297 -PG	-0930+14710	Pacific/Port_Moresby
  14.298 -PH	+1435+12100	Asia/Manila
  14.299 -PK	+2452+06703	Asia/Karachi
  14.300 -PL	+5215+02100	Europe/Warsaw
  14.301 -PM	+4703-05620	America/Miquelon
  14.302 -PN	-2504-13005	Pacific/Pitcairn
  14.303 -PR	+182806-0660622	America/Puerto_Rico
  14.304 -PS	+3130+03428	Asia/Gaza
  14.305 -PT	+3843-00908	Europe/Lisbon	mainland
  14.306 -PT	+3238-01654	Atlantic/Madeira	Madeira Islands
  14.307 -PT	+3744-02540	Atlantic/Azores	Azores
  14.308 -PW	+0720+13429	Pacific/Palau
  14.309 -PY	-2516-05740	America/Asuncion
  14.310 -QA	+2517+05132	Asia/Qatar
  14.311 -RE	-2052+05528	Indian/Reunion
  14.312 -RO	+4426+02606	Europe/Bucharest
  14.313 -RU	+5443+02030	Europe/Kaliningrad	Moscow-01 - Kaliningrad
  14.314 -RU	+5545+03735	Europe/Moscow	Moscow+00 - west Russia
  14.315 -RU	+5312+05009	Europe/Samara	Moscow+01 - Caspian Sea
  14.316 -RU	+5651+06036	Asia/Yekaterinburg	Moscow+02 - Urals
  14.317 -RU	+5500+07324	Asia/Omsk	Moscow+03 - west Siberia
  14.318 -RU	+5502+08255	Asia/Novosibirsk	Moscow+03 - Novosibirsk
  14.319 -RU	+5601+09250	Asia/Krasnoyarsk	Moscow+04 - Yenisei River
  14.320 -RU	+5216+10420	Asia/Irkutsk	Moscow+05 - Lake Baikal
  14.321 -RU	+6200+12940	Asia/Yakutsk	Moscow+06 - Lena River
  14.322 -RU	+4310+13156	Asia/Vladivostok	Moscow+07 - Amur River
  14.323 -RU	+4658+14242	Asia/Sakhalin	Moscow+07 - Sakhalin Island
  14.324 -RU	+5934+15048	Asia/Magadan	Moscow+08 - Magadan
  14.325 -RU	+5301+15839	Asia/Kamchatka	Moscow+09 - Kamchatka
  14.326 -RU	+6445+17729	Asia/Anadyr	Moscow+10 - Bering Sea
  14.327 -RW	-0157+03004	Africa/Kigali
  14.328 -SA	+2438+04643	Asia/Riyadh
  14.329 -SB	-0932+16012	Pacific/Guadalcanal
  14.330 -SC	-0440+05528	Indian/Mahe
  14.331 -SD	+1536+03232	Africa/Khartoum
  14.332 -SE	+5920+01803	Europe/Stockholm
  14.333 -SG	+0117+10351	Asia/Singapore
  14.334 -SH	-1555-00542	Atlantic/St_Helena
  14.335 -SI	+4603+01431	Europe/Ljubljana
  14.336 -SJ	+7800+01600	Arctic/Longyearbyen	Svalbard
  14.337 -SJ	+7059-00805	Atlantic/Jan_Mayen	Jan Mayen
  14.338 -SK	+4809+01707	Europe/Bratislava
  14.339 -SL	+0830-01315	Africa/Freetown
  14.340 -SM	+4355+01228	Europe/San_Marino
  14.341 -SN	+1440-01726	Africa/Dakar
  14.342 -SO	+0204+04522	Africa/Mogadishu
  14.343 -SR	+0550-05510	America/Paramaribo
  14.344 -ST	+0020+00644	Africa/Sao_Tome
  14.345 -SV	+1342-08912	America/El_Salvador
  14.346 -SY	+3330+03618	Asia/Damascus
  14.347 -SZ	-2618+03106	Africa/Mbabane
  14.348 -TC	+2128-07108	America/Grand_Turk
  14.349 -TD	+1207+01503	Africa/Ndjamena
  14.350 -TF	-492110+0701303	Indian/Kerguelen
  14.351 -TG	+0608+00113	Africa/Lome
  14.352 -TH	+1345+10031	Asia/Bangkok
  14.353 -TJ	+3835+06848	Asia/Dushanbe
  14.354 -TK	-0922-17114	Pacific/Fakaofo
  14.355 -TL	-0833+12535	Asia/Dili
  14.356 -TM	+3757+05823	Asia/Ashgabat
  14.357 -TN	+3648+01011	Africa/Tunis
  14.358 -TO	-2110+17510	Pacific/Tongatapu
  14.359 -TR	+4101+02858	Europe/Istanbul
  14.360 -TT	+1039-06131	America/Port_of_Spain
  14.361 -TV	-0831+17913	Pacific/Funafuti
  14.362 -TW	+2503+12130	Asia/Taipei
  14.363 -TZ	-0648+03917	Africa/Dar_es_Salaam
  14.364 -UA	+5026+03031	Europe/Kiev	most locations
  14.365 -UA	+4837+02218	Europe/Uzhgorod	Ruthenia
  14.366 -UA	+4750+03510	Europe/Zaporozhye	Zaporozh'ye, E Lugansk
  14.367 -UA	+4457+03406	Europe/Simferopol	central Crimea
  14.368 -UG	+0019+03225	Africa/Kampala
  14.369 -UM	+1700-16830	Pacific/Johnston	Johnston Atoll
  14.370 -UM	+2813-17722	Pacific/Midway	Midway Islands
  14.371 -UM	+1917+16637	Pacific/Wake	Wake Island
  14.372 -US	+404251-0740023	America/New_York	Eastern Time
  14.373 -US	+421953-0830245	America/Detroit	Eastern Time - Michigan - most locations
  14.374 -US	+381515-0854534	America/Kentucky/Louisville	Eastern Time - Kentucky - Louisville area
  14.375 -US	+364947-0845057	America/Kentucky/Monticello	Eastern Time - Kentucky - Wayne County
  14.376 -US	+394606-0860929	America/Indiana/Indianapolis	Eastern Standard Time - Indiana - most locations
  14.377 -US	+382232-0862041	America/Indiana/Marengo	Eastern Standard Time - Indiana - Crawford County
  14.378 -US	+411745-0863730	America/Indiana/Knox	Eastern Standard Time - Indiana - Starke County
  14.379 -US	+384452-0850402	America/Indiana/Vevay	Eastern Standard Time - Indiana - Switzerland County
  14.380 -US	+415100-0873900	America/Chicago	Central Time
  14.381 -US	+450628-0873651	America/Menominee	Central Time - Michigan - Wisconsin border
  14.382 -US	+470659-1011757	America/North_Dakota/Center	Central Time - North Dakota - Oliver County
  14.383 -US	+394421-1045903	America/Denver	Mountain Time
  14.384 -US	+433649-1161209	America/Boise	Mountain Time - south Idaho & east Oregon
  14.385 -US	+364708-1084111	America/Shiprock	Mountain Time - Navajo
  14.386 -US	+332654-1120424	America/Phoenix	Mountain Standard Time - Arizona
  14.387 -US	+340308-1181434	America/Los_Angeles	Pacific Time
  14.388 -US	+611305-1495401	America/Anchorage	Alaska Time
  14.389 -US	+581807-1342511	America/Juneau	Alaska Time - Alaska panhandle
  14.390 -US	+593249-1394338	America/Yakutat	Alaska Time - Alaska panhandle neck
  14.391 -US	+643004-1652423	America/Nome	Alaska Time - west Alaska
  14.392 -US	+515248-1763929	America/Adak	Aleutian Islands
  14.393 -US	+211825-1575130	Pacific/Honolulu	Hawaii
  14.394 -UY	-3453-05611	America/Montevideo
  14.395 -UZ	+3940+06648	Asia/Samarkand	west Uzbekistan
  14.396 -UZ	+4120+06918	Asia/Tashkent	east Uzbekistan
  14.397 -VA	+4154+01227	Europe/Vatican
  14.398 -VC	+1309-06114	America/St_Vincent
  14.399 -VE	+1030-06656	America/Caracas
  14.400 -VG	+1827-06437	America/Tortola
  14.401 -VI	+1821-06456	America/St_Thomas
  14.402 -VN	+1045+10640	Asia/Saigon
  14.403 -VU	-1740+16825	Pacific/Efate
  14.404 -WF	-1318-17610	Pacific/Wallis
  14.405 -WS	-1350-17144	Pacific/Apia
  14.406 -YE	+1245+04512	Asia/Aden
  14.407 -YT	-1247+04514	Indian/Mayotte
  14.408 -ZA	-2615+02800	Africa/Johannesburg
  14.409 -ZM	-1525+02817	Africa/Lusaka
  14.410 -ZW	-1750+03103	Africa/Harare